package com.zjrs.ggfw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.ggfw.rlzysc.dto.QtzphQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.ZphglQueryDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyXczphPO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyZwxxPO;

import java.util.List;
import java.util.Map;


@Mapper
public interface ZphglMapper extends BaseMapper<RsRlzyXczphPO> {

    Page<RsRlzyXczphPO> getZphglList(Page<RsRlzyXczphPO> page,@Param("currentTime") String currentTime, @Param("endTime") String three_days_after, @Param("KeyWord") String KeyWord, @Param("dq") String dq, @Param("sj")String sj, @Param("zphlx")String zphlx,@Param("zphjblx")String zphjblx);

    Page<RsRlzyXczphPO> getZphglList(Page<RsRlzyXczphPO> page,@Param("KeyWord") String KeyWord,@Param("dq") String dq,@Param("sj")String sj,@Param("zphlx")String zphlx);

    Page<RsRlzyXczphPO> getZphglList(Page<RsRlzyXczphPO> page,@Param("KeyWord") String KeyWord,@Param("dq") String dq,@Param("sj")String sj,@Param("zphlx")String zphlx,@Param("zphjblx")String zphjblx);

    Page<RsRlzyXczphPO> getZxscZphxx(Page<RsRlzyXczphPO> page, @Param("dto")ZphglQueryDTO dto);  //最新四场招聘会

    List<RsRlzyXczphPO> getQtzphList(@Param("dto") QtzphQueryDTO dto);

    List<Map<String, Object>> getZphCalendarList();

    Map getgetQyzW(String rsrlzyzphgllsh);

    List<Map<String, Object>> getQyList(String rsrlzyzphgllsh);
    List<Map<String, Object>> getZxQyList();

    RsRlzyXczphPO getZphDetail(String rsrlzyzphgllsh);

    List<RsRlzyZwxxPO> getChdwDetail(@Param("dto") Map<String, Object> dto);

    Map<String,Object> getKydxw(@Param("dto")QtzphQueryDTO dto);
}

